% Encoding: UTF-8

% Rules for this file
% Use suffix '-artifact' for entry keys
% Abbreviate given names
% Always include doi in entries
% No duplicate entries

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

@Misc{PartialFixBenchmarkSet-artifact,
  author    = {D.~Beyer and L.~Grunske and T.~Lemberger and M.~Tang},
  title     = {{Partial-fix benchmarks}: A benchmark set for program repair on partial fixes},
  year      = {2021},
  doi       = {10.5281/zenodo.5046084},
  publisher = {Zenodo},
}

@Misc{Reducer-artifact,
  author    = {D.~Beyer and M.-C.~Jakobs and T.~Lemberger and H.~Wehrheim},
  title     = {Replication Package for Article `{R}educer-Based Construction of Conditional Verifiers' in {P}roc. {ICSE}~'18},
  year      = {2018},
  doi       = {10.5281/zenodo.1172228},
  publisher = {Zenodo},
}

@Misc{BAM-parallel-artifact,
  author    = {D.~Beyer and K.~Friedberger},
  title     = {Replication Package for Article `{D}omain-Independent Multi-threaded Software Model Checking' in {P}roc. {ASE}~'18},
  year      = {2018},
  doi       = {10.5281/zenodo.1322090},
  publisher = {Zenodo},
}

@Misc{CPAsymexec-tool-artifact,
  author    = {D.~Beyer and T.~Lemberger},
  title     = {Replication Package for Article `{CPA-SymExec}: Efficient Symbolic Execution in {CPAchecker}' in {P}roc. {ASE}~'18},
  year      = {2018},
  doi       = {10.5281/zenodo.1321181},
  publisher = {Zenodo},
}

@Misc{COVERITEST-artifact,
  author       = {D.~Beyer and M.-C.~Jakobs},
  title        = {Replication Package for Article `{CoVeriTest}: Cooperative Verifier-Based Testing' in {P}roc. {FASE}~'19},
  howpublished = {Zenodo},
  year         = {2019},
  doi          = {10.5281/zenodo.2566735},
}

@Misc{SVCOMP19-WITNESSES-artifact,
  author       = {D.~Beyer},
  title        = {Verification Witnesses from {SV-COMP} 2019 Verification Tools},
  howpublished = {Zenodo},
  year         = {2019},
  doi          = {10.5281/zenodo.2559175},
}

@Misc{SVBENCHMARKS19-artifact,
  author       = {D.~Beyer},
  title        = {{SV-Benchmarks}: Benchmark Set of 8th {I}ntl. {C}ompetition on {S}oftware {V}erification ({SV-COMP} 2019)},
  howpublished = {Zenodo},
  year         = {2019},
  doi          = {10.5281/zenodo.2598729},
}

@Misc{PDR-artifact-TR,
  author       = {D.~Beyer and M.~Dangl},
  title        = {Replication Package for Article `{S}oftware Verification with {PDR}: {I}mplementation and Empirical Evaluation of the State of the Art'},
  howpublished = {Zenodo},
  year         = {2019},
  doi          = {10.5281/zenodo.3370037},
}

@Misc{PDR-artifact-TACAS20-submission,
  author       = {D.~Beyer and M.~Dangl},
  title        = {Replication Package for Article `{S}oftware Verification with {PDR}: {A}n Implementation of the State of the Art'},
  howpublished = {Zenodo},
  year         = {2019},
  doi          = {10.5281/zenodo.3518955},
}

@Misc{TestCov-artifact,
  author       = {D.~Beyer and T.~Lemberger},
  title        = {Replication Package for Article `{T}est{C}ov: Robust Test-Suite Execution and Coverage Measurement' in {P}roc. {ASE}~'19},
  howpublished = {Zenodo},
  year         = {2019},
  doi          = {10.5281/zenodo.3418726},
}


% SV-COMP 2020

@Misc{SVCOMP20-WITNESSES-artifact,
  author       = {D.~Beyer},
  title        = {Verification Witnesses from {SV-COMP 2020} Verification Tools},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3630188},
}

@Misc{SVCOMP20-RESULTS-artifact,
  author       = {D.~Beyer},
  title        = {Results of the {9th International Competition on Software Verification} {(SV-COMP 2020)}},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3630205},
}

@Misc{SVCOMP20-SVBENCHMARKS-artifact,
  author       = {D.~Beyer},
  title        = {{SV-Benchmarks}: Benchmark Set of {9th Intl. Competition on Software Verification} {(SV-COMP 2020)}},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3633334},
}


% SV-COMP 2021

@Misc{SVCOMP21-WITNESSES-artifact,
  author       = {D.~Beyer},
  title        = {Verification Witnesses from {SV-COMP 2021} Verification Tools},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4459196},
}

@Misc{SVCOMP21-RESULTS-artifact,
  author       = {D.~Beyer},
  title        = {Results of the {10th Intl. Competition on Software Verification} {(SV-COMP 2021)}},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4458215},
}

@Misc{SVCOMP21-SVBENCHMARKS-artifact,
  author       = {D.~Beyer},
  title        = {{SV-Benchmarks}: Benchmark Set of {10th Intl. Competition on Software Verification} {(SV-COMP 2021)}},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4459126},
}

@Misc{SVCOMP21-BENCHEXEC-artifact,
  author       = {P.~Wendler and D.~Beyer},
  title        = {sosy-lab/benchexec: {R}elease 3.6},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4317433},
}


% SV-COMP End


% Test-Comp 2019

@Misc{TESTCOMP19-WITNESSES-artifact,
  author       = {D.~Beyer},
  title        = {Test Suites from {Test-Comp 2019} Test-Generation Tools},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3856669},
}

@Misc{TESTCOMP19-RESULTS-artifact,
  author       = {D.~Beyer},
  title        = {Results of the {1st International Competition on Software Testing} {(Test-Comp 2019)}},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3856661},
}

@Misc{TESTCOMP19-SVBENCHMARKS-artifact,
  author       = {D.~Beyer},
  title        = {{SV-Benchmarks}: {B}enchmark Set of the {1st Intl. Competition on Software Testing} ({Test-Comp 2019})},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3856478},
}

@Misc{TESTCOMP19-BENCHEXEC-artifact,
  author       = {P.~Wendler and D.~Beyer},
  title        = {sosy-lab/benchexec: {R}elease 1.18},
  howpublished = {Zenodo},
  year         = {2019},
  doi          = {10.5281/zenodo.2561835},
}


% Test-Comp 2020

@Misc{TESTCOMP20-WITNESSES-artifact,
  author       = {D.~Beyer},
  title        = {Test Suites from {Test-Comp 2020} Test-Generation Tools},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3678275},
}

@Misc{TESTCOMP20-RESULTS-artifact,
  author       = {D.~Beyer},
  title        = {Results of the {2nd International Competition on Software Testing} {(Test-Comp 2020)}},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3678264},
}

@Misc{TESTCOMP20-SVBENCHMARKS-artifact,
  author       = {D.~Beyer},
  title        = {{SV-Benchmarks}: Benchmark Set of the {2nd Intl. Competition on Software Testing} ({Test-Comp 2020})},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3678250},
}


% Test-Comp 2021

@Misc{TESTCOMP21-WITNESSES-artifact,
  author       = {D.~Beyer},
  title        = {Test Suites from {Test-Comp 2021} Test-Generation Tools},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4459466},
}

@Misc{TESTCOMP21-RESULTS-artifact,
  author       = {D.~Beyer},
  title        = {Results of the {3rd Intl. Competition on Software Testing} ({Test-Comp 2021})},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4459470},
}

@Misc{TESTCOMP21-SVBENCHMARKS-artifact,
  author       = {D.~Beyer},
  title        = {{SV-Benchmarks}: {B}enchmark Set of {3rd Intl. Competition on Software Testing} ({Test-Comp 2021})},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4459132},
}

@Misc{TESTCOMP21-BENCHEXEC-artifact,
  author       = {P.~Wendler and D.~Beyer},
  title        = {sosy-lab/benchexec: {R}elease 3.6},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4317433},
}


% Test-Comp End


@Misc{PDR-artifact-TACAS20-final,
  author       = {D.~Beyer and M.~Dangl},
  title        = {Replication Package for Article `{Software} Verification with {PDR}: {An} Implementation of the State of the Art'},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3678766},
}

@Misc{CPUEnergyMeter-artifact,
  author       = {D.~Beyer and P.~Wendler},
  title        = {Replication Package for Article `{CPU Energy Meter}: {A} Tool for Energy-Aware Algorithms Engineering' in {P}roc. {TACAS}~'20},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3679337},
}

@Misc{MetaVal-artifactVM-CAV20-final,
  author       = {D.~Beyer and M.~Spiessl},
  title        = {Replication Package (Virtual Machine) for Article `\textsc{MetaVal}: {W}itness Validation via Verification' in {Proc.}\ {CAV}\,'20},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3831417},
}

@Misc{BAM-Interprocedural-artifact-FSE20-submission,
  author       = {Anonymous},
  title        = {Replication Package for Article `Domain-Independent Interprocedural Program Analysis using Block-Abstraction Memoization'},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3698236},
}

@Misc{BAM-Interprocedural-artifact-FSE20-proceedings-final,
  author       = {D.~Beyer and K.~Friedberger},
  title        = {Reproduction Package for Article `{D}omain-Independent Interprocedural Program Analysis using Block-Abstraction Memoization' in {Proc.}\ {ESEC/FSE}~2020},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.4024268},
}

@Misc{COVERITEST-artifact-STTT,
  author       = {D.~Beyer and M.-C.~Jakobs},
  title        = {Replication Package for Article `{C}ooperative, Verifier-Based Testing with {CoVeriTest}' in {STTT}},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3666060},
}

@Misc{VerificationWitnesses-artifact-TOSEM,
  author       = {D.~Beyer and M.~Dangl and D.~Dietsch and M.~Heizmann and T.~Lemberger and M.~Tautschnig},
  title        = {Replication Package for Article `{V}erification Witnesses' in {TOSEM}},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3731856},
}

@Misc{COVERITEAM-artifactVM-ASE20-submission,
  author       = {D.~Beyer and S.~Kanav},
  title        = {Replication Package for Article `{CoVeriTeam}: {O}n-Demand Composition of Cooperative Verification Systems'},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3813199},
}

@Misc{COVERITEAM-artifact-TACAS21-submission,
  author       = {D.~Beyer and S.~Kanav},
  title        = {Reproduction Package for Article `{CoVeriTeam}: {O}n-Demand Composition of Cooperative Verification Systems'},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.4094829},
}

@Misc{COVERITEAM-release-ASE20-submission,
  author       = {D.~Beyer and S.~Kanav},
  title        = {CoVeriTeam Release 0.1},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3818284},
}

@Misc{COVERITEAM-release-all,
  author       = {D.~Beyer and S.~Kanav},
  title        = {CoVeriTeam Releases},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3818283},
}

@Misc{DIFFERENCEMC-artifact-SEFM20-submission,
  author       = {D.~Beyer and M.-C.~Jakobs and T.~Lemberger},
  title        = {Replication Package for Article `{D}ifference Verification with Conditions'},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3871452},
}

@Misc{DIFFERENCEMC-artifact-SEFM20-proceedings,
  author       = {D.~Beyer and M.-C.~Jakobs and T.~Lemberger},
  title        = {Replication Package for Article `{D}ifference Verification with Conditions'},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3954933},
}

@Misc{CONCURRENCYWITNESSES-artifact-ISOLA20-submission,
  author       = {D.~Beyer and K.~Friedberger},
  title        = {Replication Package for Article `{V}iolation Witnesses and Result Validation for Multi-Threaded Programs'},
  howpublished = {Zenodo},
  year         = {2020},
  doi          = {10.5281/zenodo.3885694},
}

@Misc{FRED-artifact-SEFM20-proceedings,
  author    = {D.~Beyer and M.-C.~Jakobs},
  title     = {Replication Package for Article `{FRed}: {C}onditional Model Checking via Reducers and Folders' in {P}roc. {SEFM}~2020},
  year      = {2020},
  doi       = {10.5281/zenodo.3953565},
  publisher = {Zenodo},
}

@Misc{TACAS21-VM,
  author       = {Sebastian Hjort Hyberts and Peter Gjøl Jensen and Thomas Neele},
  title        = {TACAS 21 Artifact Evaluation VM - Ubuntu 20.04 LTS},
  year         = {2020},
  publisher    = {Zenodo},
  doi          = {10.5281/zenodo.4041464},
}

@Misc{JavaSMT3-artifact-CAV21-submission-ae-vm,
  author       = {D.~Baier and D.~Beyer and K.~Friedberger},
  title        = {Reproduction Package ({VM}) for Article `\textsc{JavaSMT}~3: Interacting with {SMT} Solvers in {Java}'},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4708050},
}

@Misc{JavaSMT3-artifact-CAV21-submission-ae-zip,
  author       = {D.~Baier and D.~Beyer and K.~Friedberger},
  title        = {Reproduction Package ({ZIP}) for Article `\textsc{JavaSMT}~3: Interacting with {SMT} Solvers in {Java}'},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.4865175},
}

@Misc{PJBDD-artifact-ATVA21-proceedings,
  author       = {D.~Beyer and K.~Friedberger and S.~Holzner},
  title        = {Reproduction Package for Article `\textsc{PJBDD}: {A} {BDD} Library for {Java} and Multi-Threading' in {P}roc. {ATVA}~2021},
  howpublished = {Zenodo},
  year         = {2021},
  doi          = {10.5281/zenodo.5070156},
}

@Misc{C-CEGAR-artifact-ICSE22-submission,
  author       = {D.~Beyer and J.~Haltermann and T.~Lemberger and H.~Wehrheim},
  title        = {Replication Package for Article '{D}ecomposing Software Verification into Off-the-Shelf Components: An Application to {CEGAR}'},
  howpublished = {Zenodo},
  year         = {2021},
  url          = {https://doi.org/10.5281/zenodo.5301636},
  doi          = {10.5281/zenodo.5301636},
}

@Comment{jabref-meta: databaseType:bibtex;}
